Bug 290448 - Amarok still copies music on your USB-Device, even if already aborted
Summary: Amarok still copies music on your USB-Device, even if already aborted
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/USB mass storage and MSC (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-02 21:55 UTC by Mathias Dietrich
Modified: 2012-02-04 00:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Dietrich 2012-01-02 21:55:48 UTC
Version:           2.5 (using KDE 4.7.3) 
OS:                Linux

Amarok still copies music on your USB-Device, even if it is already aborted in amarok

Reproducible: Always

Steps to Reproduce:
1. Connect an usb device
2. Start Amarok
3. Drag&Drop your playlist on the usb device -> Amarok starts copying
4. Abort the file copying while pressing the button in the left corner


Actual Results:  
The copy dialog hides but in Nautilus/Dolphin you can still see that files are added by amarok

Expected Results:  
Amarok should stop copying when you the abort button.

You can force Amarok to stop by closing it.
Comment 1 Matěj Laitl 2012-02-04 00:43:17 UTC
Git commit 226754158de9385df12cb17adaac198c4c3807cd by Matěj Laitl.
Committed on 03/02/2012 at 22:16.
Pushed by laitl into branch 'master'.

UmsCollectionLocation: cleanups, corrections, fixes

This fixes UmsCollectionLocation to be on par with Amarok standards.
This is the first part of making the USB Mass Storage collection behave
like it should.

BUGFIXES:
 * Remove empty folders when deleting tracks from USB Mass Storage collection.
 * Don't copy tracks to USB Mass Storage collection in move operation.
 * Fix defunct aborting of transfers to USB Mass Storage collection.
FIXED-IN: 2.6
DIGEST: bugfix
CCMAIL: Bart Cerneels <bart.cerneels@kde.org>

M  +4    -0    ChangeLog
M  +60   -41   src/core-impl/collections/umscollection/UmsCollectionLocation.cpp
M  +16   -3    src/core-impl/collections/umscollection/UmsCollectionLocation.h

http://commits.kde.org/amarok/226754158de9385df12cb17adaac198c4c3807cd